# $Revision: 1.31 $, $Date: 2011/04/07 21:38:04 $
Summary:	LaTeX to html translator
Summary(pl.UTF-8):	Konwerter z LaTeXa do HTML-a
Name:		hevea
Version:	1.10
Release:	1
License:	Free
Group:		Applications/Publishing/TeX
Vendor:		Luc Maranget <Luc.Maranget@inria.fr>
Source0:	http://para.inria.fr/~maranget/hevea/distri/%{name}-%{version}.tar.gz
# Source0-md5:	24a631570bee3cc4b8350e9db39be62b
Source1:	http://para.inria.fr/~maranget/hevea/distri/%{name}-%{version}-manual.pdf
# Source1-md5:	d9cc1d90aa85e0149a058b7fe7d5a9dd
URL:		http://para.inria.fr/~maranget/hevea/
BuildRequires:	ocaml >= 3.09.0
BuildRequires:	texlive-latex
BuildRequires:	texlive-dvips
Requires:	ghostscript >= 4.03
Requires:	texlive-latex >= 0.4
Requires:	texlive-dvips >= 0.4
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%define		_latexheveadir		%{_datadir}/texmf/tex/latex/%{name}

%description
HEVEA is a LaTeX to HTML translator. The input language is a fairly
complete subset of LaTeX2e (old LaTeX style is also accepted) and the
output language is HTML that is (hopefully) correct with respect to
version 4.0 (transitional).

%description -l pl.UTF-8
HEVEA to translator dokumentów LaTeXa do HTML-a. Pliki wejściowe
powinny składać się z komend LaTeX2e (stary styl LaTeXa również jest
akceptowany), a pliki wynikowe HTML są zgodne ze standardem 4.0.

%prep
%setup -q
cp -f %{SOURCE1} manual.pdf
%{__rm} config.sh

%build
%{__make} config.sh \
	TARGET=opt \
	PREFIX=%{_prefix} \
	LIBDIR=%{_datadir}/%{name} \
	LATEXLIBDIR=%{_latexheveadir} \
	BINDIR=%{_bindir} \
	DESTDIR=$RPM_BUILD_ROOT

%{__make} \
	TARGET=opt

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT{%{_latexheveadir},%{_datadir},%{_bindir}}

%{__make} install

%clean
rm -rf $RPM_BUILD_ROOT

%post   -p %{_bindir}/texhash
%postun -p %{_bindir}/texhash

%files
%defattr(644,root,root,755)
%doc CHANGES README LICENSE manual.pdf
%attr(-,  root,root) %{_datadir}/%{name}
%attr(755,root,root) %dir %{_latexheveadir}
%attr(755,root,root) %{_bindir}/*
%{_latexheveadir}/*.sty


%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: hevea.spec,v $
Revision 1.31  2011/04/07 21:38:04  baggins
- 1.10
- texlive BRs

Revision 1.30  2007/10/16 15:11:28  baggins
- rel 4

Revision 1.29  2007/02/13 07:47:11  glen
- tabs in preamble

Revision 1.28  2007/02/12 00:48:55  baggins
- converted to UTF-8

Revision 1.27  2005/12/11 12:25:14  baggins
- release 3
- rebuild with new ocaml

Revision 1.26  2004/04/26 15:50:29  adamg
- release 2 for Ac (1 is for Ra)

Revision 1.25  2004/02/24 01:11:55  ankry
- pl fixes, cosmetics

Revision 1.24  2003/06/16 19:09:15  blues
- massive: cleanup in setup parameters (based on kloczek changes), small
  cosmetic fixes

Revision 1.23  2003/05/28 12:59:04  malekith
- massive attack: source-md5

Revision 1.22  2003/05/25 05:48:41  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.21  2002/08/05 18:51:27  kloczek
- cosmetics.

Revision 1.20  2002/08/05 18:39:53  marcus
- changed documentation from html&ps forms to pdf

Revision 1.19  2002/08/05 00:09:30  marcus
- updated to 1.06
- use new %%doc

Revision 1.18  2002/05/13 20:28:29  filon
- cleanup, fixed macro name

Revision 1.17  2002/04/25 16:33:46  arturs
fixed a small typo

Revision 1.16  2002/03/27 11:28:59  roman
s/free/Free in License

Revision 1.15  2002/02/23 02:30:45  kloczek
- adapterized.

Revision 1.14  2002/02/22 23:29:02  kloczek
- removed all Group fields translations (our rpm now can handle translating
  Group field using gettext).

Revision 1.13  2002/02/01 17:55:50  malekith
- release 3, stbr
- html doc were in doc-ps subpackage and vice versa ;)

Revision 1.12  2002/01/18 02:13:17  kloczek
perl -pi -e "s/pld-list\@pld.org.pl/feedback\@pld.org.pl/"

Revision 1.11  2001/11/29 21:30:31  filon
- removed opt path is is unnecessary, becouse it want to add optimization swichtes where gcc is used _only_ as cpp
- relase 2

Revision 1.10  2001/11/22 13:24:32  qboosh
- s/Copyright/License/, typos and cosmetics

Revision 1.9  2001/10/29 20:44:41  filon
- updated to 1.05
- added ps docs
- divided docs into subpackages
- release 1, STB

Revision 1.8  2001/05/02 16:29:06  qboosh
- adapterized and made spec %%debug ready or added using %%rpm*flags macros

Revision 1.7  2000/10/12 20:13:03  kloczek
- adapterized and removed stripping from %install.

Revision 1.6  2000/06/09 07:22:59  kloczek
- added using %%{__make} macro.

Revision 1.5  2000/05/21 14:46:41  kloczek
- spec adapterized.

Revision 1.4  2000/04/01 11:14:43  zagrodzki
- changed all BuildRoot definitons
- removed all applnkdir defs
- changed some prereqs/requires
- removed duplicate empty lines

Revision 1.3  2000/03/28 16:54:30  baggins
- translated kloczkish into english

Revision 1.2  2000/03/28 08:20:47  kloczek
- cosmetics.

Revision 1.1  2000/03/27 15:39:40  misiek
- LaTeX -> HTML translator
